#include <stdio.h>
#include <math.h>
long long a[100000000];
int main(){
	long long n,x,duz=0,levi,desni,mina;
	scanf("%lld%lld",&n,&x);
	levi=x;
	desni=x;
	for(int i=0;i<n;i++){
	scanf("%lld",&a[i]);
	if(a[i]<x)if(a[i]<levi)levi=a[i];
	if(a[i]>x)if(a[i]>desni)desni=a[i];
	}
	if(levi<0){
	if(abs(levi)<abs(desni))mina=2*abs((levi-x))+abs((desni-x));
	if(abs(levi)>abs(desni))mina=2*abs((desni-x))+abs((levi-x));
	if(abs(desni)==abs(levi))mina=3*abs((desni-x));
}
	if(levi>0){
	mina=2*abs(x-levi)+abs(desni-x);
	if(desni==levi)mina=3*abs((desni-x));
	}
	printf("%lld",mina);
	return 0;	
}